### Method

# EDataServer SourceSecurity get_secure

since: 3.6

#### Declaration [src]

    gboolean
    e_source_security_get_secure (
      ESourceSecurity* extension
    )

#### Description [src]

This is a convenience function which returns whether a secure network connection is desired, regardless of the method used. This relies on the convention of setting `ESourceSecurity:method` to “none” when a secure network connection is not desired.

Available since: 3.6

Gets property | `EDataServer.SourceSecurity:secure`

#### Return value

Type: `gboolean`

Whether a secure network connection is desired.